## ros-kinetic-global-planner-tests 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(global_planner_tests)
set_directory_properties(PROPERTIES COMPILE_OPTIONS "-std=c++11;-Wall;-Werror")

find_package(catkin REQUIRED COMPONENTS map_server nav_core2 roscpp nav_msgs pluginlib)

catkin_package(
    CATKIN_DEPENDS map_server nav_core2 roscpp nav_msgs pluginlib
    INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME}
)

add_library(${PROJECT_NAME} src/global_planner_tests.cpp src/easy_costmap.cpp src/many_map_test_suite.cpp src/util.cpp)
target_link_libraries(
    ${PROJECT_NAME} ${catkin_LIBRARIES} yaml-cpp
)

add_executable(gpt_node src/gpt_node.cpp)
target_link_libraries(gpt_node ${PROJECT_NAME} ${catkin_LIBRARIES})

add_executable(heatmap_node src/heatmap_node.cpp)
target_link_libraries(heatmap_node ${PROJECT_NAME} ${catkin_LIBRARIES})

add_executable(many_map_node src/many_map_node.cpp)
target_link_libraries(many_map_node ${PROJECT_NAME} ${catkin_LIBRARIES})

include_directories(
    include ${catkin_INCLUDE_DIRS}
)

if(CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  roslint_cpp()
  roslint_add_test()
endif()

install(
    DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(
    TARGETS global_planner_tests
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(TARGETS gpt_node heatmap_node many_map_node
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(DIRECTORY maps/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/maps
)
install(FILES config/standard_tests.yaml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

=== debian/changelog ===
ros-kinetic-global-planner-tests (0.3.0-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 11 Dec 2020 19:44:34 -0000

ros-kinetic-global-planner-tests (0.1.4-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 06 Jun 2018 04:00:00 -0000

ros-kinetic-global-planner-tests (0.1.3-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Apr 2018 04:00:00 -0000

ros-kinetic-global-planner-tests (0.1.2-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 24 Apr 2018 04:00:00 -0000

ros-kinetic-global-planner-tests (0.1.1-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 19 Apr 2018 04:00:00 -0000

ros-kinetic-global-planner-tests (0.1.0-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 13 Apr 2018 04:00:00 -0000

ros-kinetic-global-planner-tests (0.0.7-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 09 Apr 2018 04:00:00 -0000

ros-kinetic-global-planner-tests (0.0.6-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 15 Feb 2018 05:00:00 -0000

ros-kinetic-global-planner-tests (0.0.5-1xenial) xenial; urgency=high

  * Bump version number
  * Global Planner Exceptions and Tests (#19 <https://github.com/locusrobotics/locus_navigation/issues/19>)
    * Global Planner Exceptions and Tests
    * Code review fixes v.1
    * Additional exception constructors
    * Add roslint tests
    * Code Review
    * Update dependencies/installs
    * Const refs for everyone
  * Contributors: David V. Lu, David V. Lu!!

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 01 Feb 2018 05:00:00 -0000

ros-kinetic-global-planner-tests (0.0.4-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 26 Jan 2018 05:00:00 -0000

ros-kinetic-global-planner-tests (0.0.3-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 08 Nov 2017 05:00:00 -0000

ros-kinetic-global-planner-tests (0.0.2-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 12 Oct 2017 04:00:00 -0000

ros-kinetic-global-planner-tests (0.0.1-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Oct 2017 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-global-planner-tests
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-kinetic-catkin, ros-kinetic-map-server, ros-kinetic-nav-core2, ros-kinetic-nav-msgs, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-roslint
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-global-planner-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-kinetic-map-server, ros-kinetic-nav-core2, ros-kinetic-nav-msgs, ros-kinetic-pluginlib, ros-kinetic-roscpp
Description: A collection of tests for checking the validity and completeness of global planners.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-global-planner-tests//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
